// Copyright 2020 Datafuse Labs.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#[cfg(test)]
mod flight_dispatcher_test;

#[cfg(test)]
mod flight_service_test;

#[cfg(test)]
mod flight_actions_test;

#[cfg(test)]
mod flight_tickets_test;

pub use flight_actions::BroadcastAction;
pub use flight_actions::CancelAction;
pub use flight_actions::FlightAction;
pub use flight_actions::ShuffleAction;
pub use flight_client::FlightClient;
pub use flight_dispatcher::DatafuseQueryFlightDispatcher;
pub use flight_service::DatafuseQueryFlightService;
pub use flight_tickets::FlightTicket;

mod flight_actions;
mod flight_client;
mod flight_client_stream;
mod flight_dispatcher;
mod flight_scatter;
mod flight_scatter_broadcast;
mod flight_scatter_hash;
mod flight_service;
mod flight_service_stream;
mod flight_tickets;
